using FFTW
using Plots

# sampling frequency
R = 1e3
# observation time
T = 1
t = 0:1/R:T # or equivalently t = range(0, T, R+1)
ω0 = 2π * 200
# the dot-syntax is needed for broadcasting operations
x = sin.(ω0 .* t)
# number of samples
Ns = length(x)

x_hat = fft(x)
f = fftfreq(Ns, R)
plot(fftshift(f), fftshift(abs2.(x_hat)), label="|x̂|²")